Subject: bug#78508: closed (Re: bug#78508: Tramp confused by bracketed paste after remote prompt)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 31 May 2025 13:07:02 +0000

Your bug report

#78508: Tramp confused by bracketed paste after remote prompt

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78508: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78508
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78508: Tramp confused by bracketed paste after remote prompt
From: Michael Albinus <[email-masked]>
To: Daniel Colascione <[email-masked]>
Cc: [email-masked]
Date: Sat, 31 May 2025 15:06:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 31.1

Hi Daniel,

>>> Have you tried the patch I've shown?
>>
>> Doesn't help. This system emits the control codes regardless of TERM.
>> Is that wrong? Yes. Are people going to stop? No, they are not. 
>
> You fail to show a recipe for this problem, that I could work on. At
> minimum, an Emacs session started with "-Q", and a Tramp debug buffer
> with tramp-verbose set to 10.

No further response. I've pushed the patch to the repositories, closing
the bug. Pls reopen only if you have a recipe we could work on.

Best regards, Michael.

Subject: Tramp confused by bracketed paste after remote prompt
From: Daniel Colascione <[email-masked]>
To: [email-masked]
Date: Tue, 20 May 2025 09:58:07 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

When the remote shell emits bracketed paste escape codes (as zsh does
even when TERM=dumb), tramp ends up timing out unable to find the shell
prompt on initial connection.

BTW: is there any particular reason that sshx uses RemoteCommand but ssh
method does not?